import 'package:_private_core/_private_core.dart';

import 'package:_private_core_network/network_resources/resources.dart';
import 'package:_private_core_network/utils.dart';
import 'package:dio/dio.dart'; 

class _MyAppEndpoint {
  _MyAppEndpoint._();
  static String getVideoConfigFromPlayerVimeo() =>
      "getVideoConfigFromPlayerVimeo";
}

abstract class MyAppApi {
  Future<NetworkResponse> getVideoConfigFromPlayerVimeo(vimeoId);
}

class MyAppApiImp extends MyAppApi {
  @override
  Future<NetworkResponse> getVideoConfigFromPlayerVimeo(vimeoId) async {
    return await handleNetworkError(
      proccess: () async {
        Response response = await AppClient(requiredToken: false).get(
            _MyAppEndpoint.getVideoConfigFromPlayerVimeo(),
            queryParameters: {'videoId': vimeoId});
        return NetworkResponse.fromResponse(response,
            converter: (json) => VimeoConfig.fromJson(json));
      },
    );
  }
}
